/*!
 * Bootstrap Reboot v4.4.1 (https://getbootstrap.com/)
 * Copyright 2011-2019 The Bootstrap Authors
 * Copyright 2011-2019 Twitter, Inc.
 * Licensed under MIT (https://github.com/twbs/bootstrap/blob/master/LICENSE)
 * Forked from Normalize.css, licensed MIT (https://github.com/necolas/normalize.css/blob/master/LICENSE.md)
 */*,::after,::before{box-sizing:border-box}html{font-family:sans-serif;line-height:1.15;-webkit-text-size-adjust:100%;-webkit-tap-highlight-color:transparent}article,aside,figcaption,figure,footer,header,hgroup,main,nav,section{display:block}body{margin:0;font-family:-apple-system,BlinkMacSystemFont,"Segoe UI",Roboto,"Helvetica Neue",Arial,"Noto Sans",sans-serif,"Apple Color Emoji","Segoe UI Emoji","Segoe UI Symbol","Noto Color Emoji";font-size:1rem;font-weight:400;line-height:1.5;color:#212529;text-align:left;background-color:#fff}[tabindex="-1"]:focus:not(:focus-visible){outline:0!important}hr{box-sizing:content-box;height:0;overflow:visible}h1,h2,h3,h4,h5,h6{margin-top:0;margin-bottom:.5rem}p{margin-top:0;margin-bottom:1rem}abbr[data-original-title],abbr[title]{text-decoration:underline;-webkit-text-decoration:underline dotted;text-decoration:underline dotted;cursor:help;border-bottom:0;-webkit-text-decoration-skip-ink:none;text-decoration-skip-ink:none}address{margin-bottom:1rem;font-style:normal;line-height:inherit}dl,ol,ul{margin-top:0;margin-bottom:1rem}ol ol,ol ul,ul ol,ul ul{margin-bottom:0}dt{font-weight:700}dd{margin-bottom:.5rem;margin-left:0}blockquote{margin:0 0 1rem}b,strong{font-weight:bolder}small{font-size:80%}sub,sup{position:relative;font-size:75%;line-height:0;vertical-align:baseline}sub{bottom:-.25em}sup{top:-.5em}a{color:#007bff;text-decoration:none;background-color:transparent}a:hover{color:#0056b3;text-decoration:underline}a:not([href]){color:inherit;text-decoration:none}a:not([href]):hover{color:inherit;text-decoration:none}code,kbd,pre,samp{font-family:SFMono-Regular,Menlo,Monaco,Consolas,"Liberation Mono","Courier New",monospace;font-size:1em}pre{margin-top:0;margin-bottom:1rem;overflow:auto}figure{margin:0 0 1rem}img{vertical-align:middle;border-style:none}svg{overflow:hidden;vertical-align:middle}table{border-collapse:collapse}caption{padding-top:.75rem;padding-bottom:.75rem;color:#6c757d;text-align:left;caption-side:bottom}th{text-align:inherit}label{display:inline-block;margin-bottom:.5rem}button{border-radius:0}button:focus{outline:1px dotted;outline:5px auto -webkit-focus-ring-color}button,input,optgroup,select,textarea{margin:0;font-family:inherit;font-size:inherit;line-height:inherit}button,input{overflow:visible}button,select{text-transform:none}select{word-wrap:normal}[type=button],[type=reset],[type=submit],button{-webkit-appearance:button}[type=button]:not(:disabled),[type=reset]:not(:disabled),[type=submit]:not(:disabled),button:not(:disabled){cursor:pointer}[type=button]::-moz-focus-inner,[type=reset]::-moz-focus-inner,[type=submit]::-moz-focus-inner,button::-moz-focus-inner{padding:0;border-style:none}input[type=checkbox],input[type=radio]{box-sizing:border-box;padding:0}input[type=date],input[type=datetime-local],input[type=month],input[type=time]{-webkit-appearance:listbox}textarea{overflow:auto;resize:vertical}fieldset{min-width:0;padding:0;margin:0;border:0}legend{display:block;width:100%;max-width:100%;padding:0;margin-bottom:.5rem;font-size:1.5rem;line-height:inherit;color:inherit;white-space:normal}progress{vertical-align:baseline}[type=number]::-webkit-inner-spin-button,[type=number]::-webkit-outer-spin-button{height:auto}[type=search]{outline-offset:-2px;-webkit-appearance:none}[type=search]::-webkit-search-decoration{-webkit-appearance:none}::-webkit-file-upload-button{font:inherit;-webkit-appearance:button}output{display:inline-block}summary{display:list-item;cursor:pointer}template{display:none}[hidden]{display:none!important}


html,body {
    font-family: Roboto;
    height: 100%;
}
body {
    background: #f1f1f1;
}
tr {
    border: 1px solid #f1f1f1;
}
td, th {
    padding: 1em;
}
.text-right {
    text-align: right;
}
.no-scroll {
    overflow: hidden;
}
.error {
    color: #d85959;
}
.container {
    width: 800px;
    margin: 50px auto;
}
.table {
    width: 100%;
    margin: 2rem 0;
}

.table--main {
    background: #fff;
}

.button--remove {
    color: #d85959;
    background:none;
    border:none;
}

.popup {
    position: fixed;
    display: none;
    justify-content: center;
    align-items: center;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
}
.popup--show {
    display: flex;
}
.popup__container {
    width: 500px;
    position: relative;
    background: #fff;
    z-index: 9999;
}
.popup__container__close {
    position: absolute;
    right: 0;
    top: 0;
    width: 16px;
    height: 16px;
    padding: 2px;
    margin: 10px;
    cursor: pointer;
}
.popup__container__close::before {
    content:"";
    position:relative;
    top:50%;
    display:block;
    width: 100%;
    height: 1px;
    background: #111;
    margin-top:-1px;
    transform: rotate(45deg);
}
.popup__container__close::after {
    content:"";
    position:relative;
    top:50%;
    display:block;
    width: 100%;
    height: 1px;
    background: #111;
    margin-top:-1px;
    transform: rotate(135deg);
}
.popup_title {
    font-size: 18px;
    font-weight: bold;
    color:#d65555;
    padding: 15px;
}
.popup__content {
    padding: 15px;
}
.popup__action-container {
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    background: #eee;
    padding: 15px;
}

.popup__loading {
    display: none;
    position: relative;
    width: 40px;
    height: 40px;
}
.popup__loading--load {
    display: block;
}
.popup__loading div {
    position: absolute;
    border: 2px solid #bbb;
    opacity: 1;
    border-radius: 50%;
    animation: popup__loading 1s cubic-bezier(0, 0.2, 0.8, 1) infinite;
}
.popup__loading div:nth-child(2) {
    animation-delay: -0.5s;
}
@keyframes popup__loading {
    0% {
        top: 20px;
        left: 20px;
        width: 0;
        height: 0;
        opacity: 1;
    }
    100% {
        top: 0px;
        left: 0px;
        width: 38px;
        height: 38px;
        opacity: 0;
    }
}

.popup__overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background:rgba(0,0,0,.5);
    z-index:9998;
}

.button {
    padding: 5px 10px;
    background: none;
    border: 0;
    margin: 0 5px;
}
.button[disabled] {
    filter: grayscale(1);
    opacity: .8;
}

.button:last-child {
    margin-right: 0;
}

.button--cancel {
    color:#d65555;
}
.button--confirm {
    color: #fff;
    background: #d65555;
    border-radius: 2px;
}